#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=simla2.50_base.ps
projection=-JM16.0c+
region=-R75.5/78.4/30.5/33.3
gmt psbasemap $region $projection -Bxa1.0f0.1 -Bya1.0f0.1 -BWeSn+t'Base Map simla2.50' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    32.919    76.190
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    32.903    76.251
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    32.195    76.645
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    32.982    76.147
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    32.887    75.787
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    32.895    75.833
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    33.063    75.950
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    32.131    76.472
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    31.063    78.137
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    32.598    76.340
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    31.188    77.853
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    33.228    75.893
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    32.453    76.153
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    33.024    76.085
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    31.507    75.875
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    32.288    76.552
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    30.576    77.238
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    31.298    77.733
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    31.324    77.758
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    30.898    78.342
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    31.632    76.161
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    31.219    77.943
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    33.038    75.842
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    32.588    76.625
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    33.081    75.744
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    33.184    75.961
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    31.437    76.363
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    31.430    76.326
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    33.217    75.671
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    32.273    76.472
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    31.486    77.094
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    32.654    76.209
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    32.637    76.198
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    31.416    77.658
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    31.418    77.666
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    32.826    76.380
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    32.736    76.422
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    32.522    76.364
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    32.442    76.517
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    32.928    76.206
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    32.937    76.292
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    32.918    76.282
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    32.722    76.199
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    32.666    76.223
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    32.375    76.241
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    31.288    77.763
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    33.231    75.606
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.922    76.186
    32.919    76.190
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.898    76.093
    32.919    76.190
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.906    76.249
    32.903    76.251
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.927    76.063
    32.903    76.251
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.199    76.643
    32.195    76.645
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.121    76.488
    32.195    76.645
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.986    76.146
    32.982    76.147
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.973    75.888
    32.982    76.147
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.889    75.786
    32.887    75.787
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.986    75.771
    32.887    75.787
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.896    75.844
    32.895    75.833
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.916    75.722
    32.895    75.833
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.064    75.950
    33.063    75.950
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.157    75.942
    33.063    75.950
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.130    76.468
    32.131    76.472
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.210    76.307
    32.131    76.472
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.065    78.135
    31.063    78.137
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.063    78.024
    31.063    78.137
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.592    76.335
    32.598    76.340
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.535    76.347
    32.598    76.340
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.189    77.855
    31.188    77.853
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.034    77.841
    31.188    77.853
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.227    75.890
    33.228    75.893
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.270    75.862
    33.228    75.893
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.450    76.153
    32.453    76.153
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.531    76.124
    32.453    76.153
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.021    76.082
    33.024    76.085
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.092    75.983
    33.024    76.085
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.520    75.885
    31.507    75.875
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.535    76.028
    31.507    75.875
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.282    76.553
    32.288    76.552
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.263    76.577
    32.288    76.552
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.568    77.236
    30.576    77.238
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.614    77.142
    30.576    77.238
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.298    77.738
    31.298    77.733
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.382    77.751
    31.298    77.733
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.336    77.755
    31.324    77.758
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.391    77.753
    31.324    77.758
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.895    78.341
    30.898    78.342
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.858    78.284
    30.898    78.342
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.631    76.163
    31.632    76.161
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.600    75.976
    31.632    76.161
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.217    77.943
    31.219    77.943
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.230    77.857
    31.219    77.943
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.034    75.841
    33.038    75.842
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.106    75.721
    33.038    75.842
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.586    76.624
    32.588    76.625
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.604    76.582
    32.588    76.625
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.081    75.744
    33.081    75.744
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.096    75.571
    33.081    75.744
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.183    75.961
    33.184    75.961
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.236    75.879
    33.184    75.961
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.436    76.363
    31.437    76.363
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.428    76.251
    31.437    76.363
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.427    76.324
    31.430    76.326
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.466    76.342
    31.430    76.326
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.215    75.669
    33.217    75.671
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.271    75.561
    33.217    75.671
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.269    76.472
    32.273    76.472
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.260    76.321
    32.273    76.472
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.488    77.094
    31.486    77.094
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.508    77.019
    31.486    77.094
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.651    76.208
    32.654    76.209
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.844    76.126
    32.654    76.209
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.636    76.197
    32.637    76.198
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.685    76.178
    32.637    76.198
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.416    77.657
    31.416    77.658
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.427    77.613
    31.416    77.658
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.418    77.664
    31.418    77.666
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.494    77.629
    31.418    77.666
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.825    76.379
    32.826    76.380
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.894    76.367
    32.826    76.380
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.733    76.420
    32.736    76.422
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.805    76.459
    32.736    76.422
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.522    76.361
    32.522    76.364
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.578    76.289
    32.522    76.364
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.442    76.515
    32.442    76.517
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.502    76.460
    32.442    76.517
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.926    76.205
    32.928    76.206
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.991    76.126
    32.928    76.206
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.935    76.292
    32.937    76.292
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.988    76.246
    32.937    76.292
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.916    76.279
    32.918    76.282
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.012    76.247
    32.918    76.282
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.720    76.198
    32.722    76.199
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.740    76.160
    32.722    76.199
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.667    76.228
    32.666    76.223
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.776    76.343
    32.666    76.223
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.375    76.237
    32.375    76.241
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.396    76.207
    32.375    76.241
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    31.288    77.761
    31.288    77.763
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    31.280    77.855
    31.288    77.763
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.229    75.605
    33.231    75.606
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.304    75.587
    33.231    75.606
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    32.919    76.190   -72.181     2.400     3.734
    32.903    76.251   -71.233     2.589     3.763
    32.195    76.645   -74.302     2.690     3.805
    32.982    76.147    82.875     4.749     6.055
    32.887    75.787   -77.714     1.784     3.350
    32.895    75.833   -70.315     2.401     4.125
    33.063    75.950   -37.294     3.213     4.526
    32.131    76.472   -71.847     1.703     2.752
    31.063    78.137   -68.954     1.609     2.789
    32.598    76.340   -70.473     3.462     5.339
    31.188    77.853   -54.364     2.109     6.267
    33.228    75.893   -37.091     1.164     2.065
    32.453    76.153   -54.175     1.673     2.486
    33.024    76.085   -31.719     1.989     2.659
    31.507    75.875   -36.138     1.845     3.540
    32.288    76.552   -31.199     2.221     3.681
    30.576    77.238   -22.765     4.724     6.958
    31.298    77.733   -63.013     3.032     5.247
    31.324    77.758    79.742     4.353     5.747
    30.898    78.342   -68.287     1.662     2.323
    31.632    76.161   -47.766     1.704     3.094
    31.219    77.943   -58.617     1.769     3.219
    33.038    75.842   -63.812     1.172     1.894
    32.588    76.625   -61.279     1.446     2.200
    33.081    75.744   -62.275     2.231     3.459
    33.184    75.961   -72.566     1.181     1.310
    31.437    76.363   -36.672     2.018     2.481
    31.430    76.326   -44.838     2.499     4.705
    33.217    75.671   -59.973     1.448     1.988
    32.273    76.472   -57.940     1.638     2.375
    31.486    77.094    77.293     0.694     5.031
    32.654    76.209   -43.850     2.741     5.435
    32.637    76.198   -43.230     2.623     5.243
    31.416    77.658   -59.867     2.375     4.096
    31.418    77.666   -55.437     2.973     4.708
    32.826    76.380   -37.421     2.270     3.401
    32.736    76.422   -45.189     2.669     4.612
    32.522    76.364   -36.300     2.575     4.503
    32.442    76.517   -47.939     3.793     6.795
    32.928    76.206   -73.297     1.142     2.195
    32.937    76.292   -84.466     1.301     1.865
    32.918    76.282   -62.938     3.287     4.034
    32.722    76.199   -56.766     2.439     3.741
    32.666    76.223   -42.141     2.313     4.854
    32.375    76.241   -57.953     3.666     5.062
    31.288    77.763   -54.979     2.532     3.329
    33.231    75.606    88.271     1.552     2.408
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    30.522    75.567    -1.824     3.795     4.638
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    30.522    75.590   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    30.522    75.567     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    30.522    75.567     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    30.477    75.567   5 km
END
