#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=simla2.50_dcal.ps
projection=-JM16.0c+
region=-R73.4/80.6/28.7/35.1
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration simla2.50' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.417    76.417
    32.195    76.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.128    77.167
    31.188    77.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.128    77.167
    31.188    77.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    31.188    77.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    31.188    77.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.542    75.967
    33.228    75.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.542    75.967
    33.228    75.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    33.228    75.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.267    75.897
    33.228    75.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.542    75.967
    32.453    76.153
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.267    75.897
    32.453    76.153
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.267    75.897
    32.453    76.153
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.542    75.967
    33.024    76.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    33.024    76.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.953    75.950
    31.507    75.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.500    76.970
    31.507    75.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.500    76.970
    31.507    75.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    31.507    75.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    31.507    75.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.500    76.970
    32.288    76.552
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.500    76.970
    32.288    76.552
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.417    76.417
    32.288    76.552
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    30.576    77.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.500    76.970
    30.576    77.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.500    76.970
    30.576    77.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.533    78.250
    31.298    77.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.533    78.250
    31.298    77.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.500    76.970
    31.298    77.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.533    78.250
    31.324    77.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.533    78.250
    31.324    77.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.128    77.167
    31.324    77.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.128    77.167
    31.324    77.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.500    76.970
    31.324    77.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.500    76.970
    31.324    77.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    30.898    78.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    30.898    78.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.533    78.250
    30.898    78.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.533    78.250
    30.898    78.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    31.632    76.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    31.632    76.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.500    76.970
    31.632    76.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.542    75.967
    31.632    76.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.500    76.970
    31.219    77.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    31.219    77.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    31.219    77.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    33.038    75.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    33.038    75.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    33.038    75.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    32.588    76.625
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    32.588    76.625
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.145    75.555
    33.081    75.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.145    75.555
    33.081    75.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.962    75.724
    33.081    75.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.962    75.724
    33.081    75.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.146    75.792
    33.081    75.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.146    75.792
    33.081    75.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.312    75.777
    33.081    75.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.033    75.913
    33.081    75.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.033    75.913
    33.081    75.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.312    75.777
    33.184    75.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.146    75.792
    33.184    75.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.146    75.792
    33.184    75.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.033    75.913
    33.184    75.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.033    75.913
    33.184    75.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.145    75.555
    33.184    75.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.145    75.555
    33.184    75.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.962    75.724
    33.184    75.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.962    75.724
    33.184    75.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.417    76.417
    31.437    76.363
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    31.437    76.363
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    31.437    76.363
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.128    77.167
    31.437    76.363
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    31.430    76.326
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    31.430    76.326
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    33.217    75.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.128    77.167
    31.486    77.094
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.128    77.167
    31.486    77.094
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.417    76.417
    31.486    77.094
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    32.654    76.209
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    32.637    76.198
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.128    77.167
    31.416    77.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.128    77.167
    31.418    77.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    32.826    76.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    32.826    76.380
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    32.736    76.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    32.736    76.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    32.736    76.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    32.522    76.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.837    76.150
    32.442    76.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.837    76.150
    32.442    76.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    32.442    76.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.956    75.956
    32.442    76.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    32.928    76.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.956    75.956
    32.928    76.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.956    75.956
    32.928    76.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.837    76.150
    32.937    76.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.837    76.150
    32.937    76.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    32.937    76.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    32.937    76.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.837    76.150
    32.918    76.282
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.837    76.150
    32.918    76.282
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.837    76.150
    32.722    76.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.837    76.150
    32.722    76.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    32.722    76.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    32.722    76.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    32.722    76.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.956    75.956
    32.722    76.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.837    76.150
    32.666    76.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.250    76.300
    32.375    76.241
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    32.375    76.241
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.433    75.717
    32.375    76.241
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.837    76.150
    32.375    76.241
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.837    76.150
    32.375    76.241
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.956    75.956
    32.375    76.241
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.533    78.250
    31.288    77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.533    78.250
    31.288    77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.128    77.167
    31.288    77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.128    77.167
    31.288    77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.730    78.446
    31.288    77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.730    78.446
    31.288    77.763
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    31.417    76.417     0.300
    31.128    77.167     0.300
    30.323    78.056     0.300
    32.542    75.967     0.300
    32.433    75.717     0.300
    32.267    75.897     0.300
    31.953    75.950     0.300
    31.500    76.970     0.300
    31.533    78.250     0.300
    32.250    76.300     0.300
    33.145    75.555     0.300
    32.962    75.724     0.300
    33.146    75.792     0.300
    33.312    75.777     0.300
    33.033    75.913     0.300
    32.837    76.150     0.300
    31.956    75.956     0.300
    30.730    78.446     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.919    76.190     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.903    76.251     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.195    76.645     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.982    76.147     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.887    75.787     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.895    75.833     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.063    75.950     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.131    76.472     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.063    78.137     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.598    76.340     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.188    77.853     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.228    75.893     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.453    76.153     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.024    76.085     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.507    75.875     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.288    76.552     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.576    77.238     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.298    77.733     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.324    77.758     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.898    78.342     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.632    76.161     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.219    77.943     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.038    75.842     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.588    76.625     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.081    75.744     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.184    75.961     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.437    76.363     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.430    76.326     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.217    75.671     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.273    76.472     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.486    77.094     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.654    76.209     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.637    76.198     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.416    77.658     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.418    77.666     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.826    76.380     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.736    76.422     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.522    76.364     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.442    76.517     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.928    76.206     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.937    76.292     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.918    76.282     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.722    76.199     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.666    76.223     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.375    76.241     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    31.288    77.763     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.231    75.606     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    32.292    76.546     0.000   222.000   222.000
    32.292    76.546     0.000   444.000   444.000
END
