#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=simla2.50_rdp_016.ps
projection=-JX18/12
region=-R1/33/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases simla2.50 Event 016' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.425     1.000
     0.985     2.000
     0.543     3.000
     0.101     4.000
     0.341     5.000
     0.338     6.000
     0.018     7.000
     0.301     8.000
     0.620     9.000
     0.938    10.000
     1.256    11.000
     1.573    12.000
     1.890    13.000
     2.206    14.000
     2.522    15.000
     2.750    16.000
     3.075    17.000
     3.198    18.000
     3.519    19.000
     3.839    20.000
     4.120    21.000
     4.399    22.000
     4.679    23.000
     4.956    24.000
     5.233    25.000
     5.510    26.000
     5.788    27.000
     6.064    28.000
     6.339    29.000
     6.614    30.000
     6.888    31.000
     7.161    32.000
     7.434    33.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.425     1.000
     0.985     2.000
     0.543     3.000
     0.101     4.000
     0.341     5.000
     0.338     6.000
     0.018     7.000
     0.301     8.000
     0.620     9.000
     0.938    10.000
     1.256    11.000
     1.573    12.000
     1.890    13.000
     2.206    14.000
     2.522    15.000
     2.750    16.000
     3.075    17.000
     3.198    18.000
     3.519    19.000
     3.839    20.000
     4.120    21.000
     4.399    22.000
     4.679    23.000
     4.956    24.000
     5.233    25.000
     5.510    26.000
     5.788    27.000
     6.064    28.000
     6.339    29.000
     6.614    30.000
     6.888    31.000
     7.161    32.000
     7.434    33.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.758    16.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.658    16.000
     3.658    16.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.658    16.000
     3.658    20.000
     1.658    20.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.658    16.000
     3.658    12.000
     1.658    12.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     7.000
     1.658     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.658     1.000
     1.658    13.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.658     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    13.000
     1.658    13.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20041111.0213.41
     9.680     2.000 Depth of minimum misfit =   7 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
