#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=simla2.50_rdp_042.ps
projection=-JX18/12
region=-R1/32/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases simla2.50 Event 042' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     0.617     1.000
     0.189     2.000
     0.237     3.000
     0.370     4.000
     0.078     5.000
     0.213     6.000
     0.503     7.000
     0.791     8.000
     1.077     9.000
     1.362    10.000
     1.646    11.000
     1.928    12.000
     2.194    13.000
     2.503    14.000
     2.821    15.000
     3.149    16.000
     3.466    17.000
     3.782    18.000
     4.097    19.000
     4.410    20.000
     4.684    21.000
     4.956    22.000
     5.228    23.000
     5.497    24.000
     5.607    25.000
     5.880    26.000
     6.148    27.000
     6.421    28.000
     6.696    29.000
     6.971    30.000
     7.388    31.000
     7.627    32.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     0.617     1.000
     0.189     2.000
     0.237     3.000
     0.370     4.000
     0.078     5.000
     0.213     6.000
     0.503     7.000
     0.791     8.000
     1.077     9.000
     1.362    10.000
     1.646    11.000
     1.928    12.000
     2.194    13.000
     2.503    14.000
     2.821    15.000
     3.149    16.000
     3.466    17.000
     3.782    18.000
     4.097    19.000
     4.410    20.000
     4.684    21.000
     4.956    22.000
     5.228    23.000
     5.497    24.000
     5.607    25.000
     5.880    26.000
     6.148    27.000
     6.421    28.000
     6.696    29.000
     6.971    30.000
     7.388    31.000
     7.627    32.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.818    23.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.718    23.000
     3.718    23.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.718    23.000
     3.718    26.000
     1.718    26.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.718    23.000
     3.718    20.000
     1.718    20.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     5.000
     1.718     5.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.718     1.000
     1.718    12.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.718     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    12.000
     1.718    12.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20200228.1107.12
     9.680     2.000 Depth of minimum misfit =   5 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
