#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=simla2.50_rdp_044.ps
projection=-JX18/12
region=-R1/32/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases simla2.50 Event 044' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.900     1.000
     1.486     2.000
     1.085     3.000
     0.725     4.000
     0.433     5.000
     0.207     6.000
     0.310     7.000
     0.494     8.000
     0.591     9.000
     0.811    10.000
     1.081    11.000
     1.372    12.000
     1.398    13.000
     1.690    14.000
     1.990    15.000
     2.300    16.000
     2.608    17.000
     2.917    18.000
     3.227    19.000
     3.538    20.000
     3.812    21.000
     4.085    22.000
     4.361    23.000
     4.634    24.000
     4.910    25.000
     5.187    26.000
     5.459    27.000
     5.737    28.000
     6.016    29.000
     6.109    30.000
     6.583    31.000
     6.958    32.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     3.178     1.000
     2.427     2.000
     1.673     3.000
     1.039     4.000
     0.655     5.000
     0.295     6.000
     0.523     7.000
     0.729     8.000
     0.846     9.000
     1.113    10.000
     1.665    11.000
     2.217    12.000
     2.267    13.000
     2.800    14.000
     3.340    15.000
     3.892    16.000
     4.435    17.000
     4.980    18.000
     5.525    19.000
     6.069    20.000
     6.547    21.000
     7.024    22.000
     7.505    23.000
     7.981    24.000
     8.462    25.000
     8.944    26.000
     9.417    27.000
     9.900    28.000
    10.385    29.000
    10.537    30.000
    11.363    31.000
    12.022    32.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.035     7.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.935     7.000
     3.935     7.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.935     7.000
     3.935    11.000
     1.935    11.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.935     7.000
     3.935     3.000
     1.935     3.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     6.000
     1.935     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.935     2.000
     1.935    12.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     2.000
     1.935     2.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    12.000
     1.935    12.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20200329.1817.44
     9.680     2.000 Depth of minimum misfit =   6 km on  3 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
